Obter as condições de uma operação de consignado já criada
curl --request GET \
--url https://api.example.com/api/services/app/EConsignado/ObterCondicoesimport requests
url = "https://api.example.com/api/services/app/EConsignado/ObterCondicoes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/services/app/EConsignado/ObterCondicoes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/EConsignado/ObterCondicoes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/EConsignado/ObterCondicoes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/services/app/EConsignado/ObterCondicoes")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/EConsignado/ObterCondicoes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"term": 123,
"iofValue": 123,
"iofPercentage": 123,
"installmentValue": 123,
"annualCETPercentage": 123,
"monthlyCETPercentage": 123,
"totalDebtValue": 123,
"annualInterestPercentage": 123,
"totalCreditValue": 123,
"monthlyInterestPercentage": 123,
"requestedAmount": 123,
"firstDueDate": "2023-11-07T05:31:56Z",
"installments": [
{
"installmentNumber": 123,
"days": 123,
"dueDate": "2023-11-07T05:31:56Z",
"outstandingBalance": 123,
"amortizationValue": 123,
"interestValue": 123,
"totalInstallmentValue": 123,
"accumulatedInterest": 123,
"monthlyInterestValue": 123
}
]
}Consignado CLT
Obter as condições de uma operação de consignado já criada
GET
/
api
/
services
/
app
/
EConsignado
/
ObterCondicoes
Obter as condições de uma operação de consignado já criada
curl --request GET \
--url https://api.example.com/api/services/app/EConsignado/ObterCondicoesimport requests
url = "https://api.example.com/api/services/app/EConsignado/ObterCondicoes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/services/app/EConsignado/ObterCondicoes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/EConsignado/ObterCondicoes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/EConsignado/ObterCondicoes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/services/app/EConsignado/ObterCondicoes")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/EConsignado/ObterCondicoes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"term": 123,
"iofValue": 123,
"iofPercentage": 123,
"installmentValue": 123,
"annualCETPercentage": 123,
"monthlyCETPercentage": 123,
"totalDebtValue": 123,
"annualInterestPercentage": 123,
"totalCreditValue": 123,
"monthlyInterestPercentage": 123,
"requestedAmount": 123,
"firstDueDate": "2023-11-07T05:31:56Z",
"installments": [
{
"installmentNumber": 123,
"days": 123,
"dueDate": "2023-11-07T05:31:56Z",
"outstandingBalance": 123,
"amortizationValue": 123,
"interestValue": 123,
"totalInstallmentValue": 123,
"accumulatedInterest": 123,
"monthlyInterestValue": 123
}
]
}Reconsulta as condições atuais de uma operação de consignado já criada, identificada pelo
code (retornado em Solicitar autorização).
Útil para retomar o fluxo antes de Contratar.
Autentique-se antes (Autenticação). Requer a operação já autorizada (DataPrev); se ainda pendente de autorização, retorna erro.
curl "https://gateway.hubcred.com.br/external/v1/api/services/app/EConsignado/ObterCondicoes?code=ABC123" \
-H "Authorization: Bearer SEU_TOKEN"
Query Parameters
Código da operação
Response
OK
Resultado da simulação de consignado externo.
Prazo (número de parcelas).
Valor do IOF.
Percentual do IOF.
Valor da parcela.
Percentual do CET anual.
Percentual do CET mensal.
Valor total da dívida.
Percentual de juros anual.
Valor total do crédito.
Percentual de juros mensal.
Valor solicitado.
Data do primeiro vencimento.
Detalhes das parcelas.
Show child attributes
Show child attributes